local Reverse = string.find(GAMESTATE:GetPlayerState(pn):GetPlayerOptionsString("ModsLevel_Preferred"), "Reverse");
local t = Def.ActorFrame{

--Notefield laser graphic
	Def.Sprite {
		Texture="Lasers/laser " .. tostring(NOTESKIN:GetMetric("NoteskinPreferences","LaserColor"));
		Frame0000=0;
		Delay0000=1;
		InitCommand=function(self)
			--Flip vertically for upscroll
			if Reverse then
				self:zoomy(1):vertalign(bottom):diffusealpha(0)
			else
				self:zoomy(-1):vertalign(bottom):diffusealpha(0)
			end
		end,
		PressCommand=NOTESKIN:GetMetricA('ReceptorPressLight', 'PressCommand');
		LiftCommand=NOTESKIN:GetMetricA('ReceptorPressLight', 'LiftCommand');
		NoneCommand=NOTESKIN:GetMetricA('ReceptorArrow', 'NoneCommand');
	};

--Receptor button idle
	Def.Sprite {
		Texture="Receptors/yellow idle " .. tostring(NOTESKIN:GetMetric("NoteskinPreferences","KeyStyleChoice"));
		Frame0000=0;
		Delay0000=1;
		InitCommand=function(self)
			--Offset position slightly so it reaches the screen bottom at default settings
			--Keep transparency at 0 unless button is held
			--Also flip vertically for upscroll
			if Reverse then
				self:zoomy(1):addy(4):diffusealpha(1)
			else
				self:zoomy(-1):addy(-4):diffusealpha(1)
			end
		end,
		PressCommand=function(self)
			self:diffusealpha(1)
		end,
		LiftCommand=function(self)
			self:diffusealpha(1)
		end,
		NoneCommand=function(self)
			self:diffusealpha(1)
		end
	};

--Receptor button pressed
	Def.Sprite {
		Texture="Receptors/yellow pressed " .. tostring(NOTESKIN:GetMetric("NoteskinPreferences","KeyStyleChoice"));
		Frame0000=0;
		Delay0000=1;
		InitCommand=function(self)
			--Offset position slightly so it reaches the screen bottom at default settings
			--Keep transparency at 0 unless button is held
			--Also flip vertically for upscroll
			if Reverse then
				self:zoomy(1):addy(4):diffusealpha(0)
			else
				self:zoomy(-1):addy(-4):diffusealpha(0)
			end
		end,
		PressCommand=function(self)
			--Stoptweening to prevent tween overload/artifacts. Delay visibility to create less distracting visual
			--Without stoptweening() the tweens would overload and queue up when spamming a key and it would look weird.
			self:stoptweening():linear(.016):diffusealpha(1)
		end,
		LiftCommand=function(self)
			--Stoptweening to prevent tween overload/artifacts. Delay fadeout to create less distracting visual
			--Without stoptweening() the tweens would overload and queue up when spamming a key and it would look weird.
			self:stoptweening():sleep(.032):linear(.064):diffusealpha(0)
		end,
		NoneCommand=function(self)
			self:diffusealpha(0)
		end
	};

--Judgeline
	Def.Sprite {
		--Texture specified by "JudgelineColour" in metrics
		Texture="Judgelines/judgeline " .. tostring(NOTESKIN:GetMetric("NoteskinPreferences","JudgelineColor"));
		Frame0000=0;
		Delay0000=1;
		InitCommand=NOTESKIN:GetMetricA('ReceptorArrow', 'InitCommand');
		NoneCommand=NOTESKIN:GetMetricA('ReceptorArrow', 'NoneCommand');
		PressCommand=NOTESKIN:GetMetricA('ReceptorArrow', 'NoneCommand');
	};

};

return t;